#ifndef EVENTTHREAD_H_
#define EVENTTHREAD_H_

#include <qthread.h>
#include <qhttp.h>
#include <qtimer.h>
#include <qdialog.h>
#include <qmessagebox.h>

#include "EventThread.h"
#include "PlayerController.h"
#include "Settings.h"
#include "Track.h"
#include "Config.h"
#include "BadPasswordDialog.h"

class EventThread : QObject {
	Q_OBJECT
public:
	EventThread();
	~EventThread();
	
	void showConfigDialog();

protected:
	void run();
	
private:
	PlayerController* controller;
	Track currentTrack;
	Config configuration;
	QHttp* client;
	QHttpRequestHeader* header;
	QTimer* timer;
	FILE* outf;
	SettingsDialog* settings;
	bool sending;
	BadPasswordDialog* badPasswd;
	
	void submit();
	void save(QString);
	void send();

public slots:
	void timeout();
	void requestFinished(int, bool);
};

#endif /*EVENTTHREAD_H_*/
